DeleteAttributeGroup
Note
AWS Service Catalog AppRegistry will no longer be open to new customers starting July 30, 2026. If you would like to use AppRegistry, sign up prior to that date. Existing customers can continue to use the service as normal. For more information, see AWS Service Catalog AppRegistry availability change.
Deletes an attribute group, specified either by its attribute group ID, name, or ARN.
Request Syntax
DELETE /attribute-groups/attributeGroup HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- attributeGroup
-
The name, ID, or ARN of the attribute group that holds the attributes to describe the application.
Length Constraints: Minimum length of 1. Maximum length of 512.
Pattern:
([-.\w]+)|(arn:aws[-a-z]*:servicecatalog:[a-z]{2}(-gov)?-[a-z]+-\d:\d{12}:/attribute-groups/[-.\w]+)Required: Yes
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"attributeGroup": {
"arn": "string",
"createdBy": "string",
"creationTime": "string",
"description": "string",
"id": "string",
"lastUpdateTime": "string",
"name": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- attributeGroup
-
Information about the deleted attribute group.
Type: AttributeGroupSummary object
Errors
- InternalServerException
-
The service is experiencing internal problems.
HTTP Status Code: 500
- ResourceNotFoundException
-
The specified resource does not exist.
HTTP Status Code: 404
- ValidationException
-
The request has invalid or missing parameters.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: